pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 > Class Reference
Module visualization

RGBA handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >:

## Public Types

using | Ptr = shared_ptr< PointCloudColorHandlerRGBAField< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudColorHandlerRGBAField< PointCloud > >
Public Types inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointCloud > >

## Public Member Functions

| PointCloudColorHandlerRGBAField (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandlerRGBAField ()
| Empty destructor. More...
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Member Functions

virtual std::string | getName () const
| Get the name of the class. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...

## Detailed Description

RGBA handler class for colors.

Uses the data present in the "rgba" field as the color at each point. Transparency is handled.

Author
  Nizar Sallem

Definition at line 809 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudColorHandlerRGBAField<PointCloud> >

Definition at line 817 of file point_cloud_color_handlers.h.

## Ptr

using pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudColorHandlerRGBAField<PointCloud> >

Definition at line 816 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerRGBAField()

pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::PointCloudColorHandlerRGBAField | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

## ~PointCloudColorHandlerRGBAField()

virtual pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::~PointCloudColorHandlerRGBAField | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 823 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

vtkSmartPointer<vtkDataArray> pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

## getFieldName()

virtual std::string pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline protected virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 835 of file point_cloud_color_handlers.h.

## getName()

virtual std::string pcl::visualization::PointCloudColorHandlerRGBAField< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline protected virtual

Get the name of the class.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 831 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_color_handlers.h